Bug 236981 - Updated curl prints like crazy
Summary: Updated curl prints like crazy
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-18 19:00 UTC by Pete Zaitcev
Modified: 2013-07-02 23:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 18:52:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pete Zaitcev 2007-04-18 19:00:45 UTC
Description of problem:

In previous versions of curl (7.16.1-3.fc7), the current status, seen when
curl is run with no extra arguments, was updated at an interval of about
1 second. This was good. However, the updated curl (curl-7.16.2-1.fc7)
refreshes the status without any let-up, as much as console takes it.
This is wasteful and causes ripple effects across the desktop whenever
a download is running (e.g. fans kick up).

Version-Release number of selected component (if applicable):

curl-7.16.2-1.fc7

How reproducible:

100%

Steps to Reproduce:
1. Run curl in a poorly performing terminal emulator, like gnome-terminal
2. Observe that cursor runs like crazy all over the status line
3. Observe (with top) that the emulator and X server start eating CPU

Actual results:

Wasteful system load

Expected results:

Working as before

Additional info:

I think someone passed some wrong argument to some timer call.

I understand that I can kill status with a command line argument, so
no big deal, but this clearly is a regression, hence the bug report.

Comment 1 Daniel Stenberg 2007-05-18 07:49:40 UTC
This is fixed in upstream's CVS

Comment 2 Jindrich Novy 2007-06-18 18:52:58 UTC
Fixed also in rawhide, thanks Daniel.

Comment 3 Pete Zaitcev 2007-06-21 01:43:02 UTC
Verified fixed in curl-7.16.2-5.fc8.


Note You need to log in before you can comment on or make changes to this bug.